version 8.2
clear
set more off
set mem 800m
set matsize 800

capture mkdir "brazrloc/tex/v4/natl10pct"
capture mkdir "brazrloc/tex/v4/natl10pct/reg"

capture log close
log using "brazrloc/logs/reg-aer-tab-submit.log", replace


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(aerrr_subm) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_robstsubm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_addlsubm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_intract_subm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_secyrtrd) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_xpia) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_intractlp_subm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_lponly_subm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_intrctwrkf_subm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_fststgsubm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(aerrr_lpshort_subm) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(ml_allsecyrfe) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(ml_allsecyrfeu) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(ml_dsplsecyrfe) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(mlogitrr_tf_clst) retain p(brazrloc/tex/v4/pme) replace
est2extlbl, addto(summ_dspl_aerrr) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(summ_hire_aerrr) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(summ_dspl_aerrr_timevar) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(summ_hire_aerrr_timevar) retain p(brazrloc/tex/v4/natl10pct/reg) replace
est2extlbl, addto(summ_aerrr) retain p(brazrloc/tex/v4/natl10pct/reg) replace
clear


* LOAD MATRICES *

foreach margin in dspl hire {
  foreach mat in allsec balrnk1 balrnk3 balrnk5 indexp timevar {
    matload summ_`margin'_aerrr_`mat'_tbl, p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    }
  foreach type in b se e r {
    drop _all
    matload cnae`margin'_aerrrsubm_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_aerrrsubm_`type' = `margin'
    drop _all
    matload cnae`margin'_ivonly_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_ivonly_`type' = `margin'
    drop _all
    matload cnae`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    if "`type'"~="e" & "`type'"~="r"  matorder cnae`margin'_iv1st_`type', m(cnae`margin'_iv1st_`type') over ifr(cnae_dollar cnae_ppieu cnae_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv cnae_fdiflw cnae_herfsale plant_lnempl plant_indhigh plant_indcoll plant_indwhittot)
    if "`type'"~="e" & "`type'"~="r"  mat cnae`margin'_iv1st_`type' = cnae`margin'_iv1st_`type'[1..3,.] \ cnae`margin'_iv1st_`type'[4..10,.]*1000000000000 \ cnae`margin'_iv1st_`type'[11...,.]
    matrix coleq cnae`margin'_iv1st_`type' = `margin'
    drop _all
    matload cnae`margin'_lponly_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_lponly_`type' = `margin'
    drop _all
    matload cnae`margin'_secyrtrd_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_secyrtrd_`type' = `margin'
    drop _all
    matload cnae`margin'_xpia_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_xpia_`type' = `margin'
    drop _all
    matload cnae`margin'_fdlnlp_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
    matrix coleq cnae`margin'_fdlnlp_`type' = `margin'
    }
  est2one cnae`margin'_aerrrsubm
  est2one cnae`margin'_ivonly
  est2one cnae`margin'_iv1st
  est2one cnae`margin'_lponly
  est2one cnae`margin'_secyrtrd
  est2one cnae`margin'_xpia
  est2one cnae`margin'_fdlnlp
  }
foreach type in b se e {
  drop _all
  matload ml_xttrans_`type', p(brazrloc/estmat/v4/reg/natl10pct) over missing(.)
  }


// RAIS NATIONAL SUMMARY STATISTICS

foreach margin in dspl hire {
  matorder summ_`margin'_aerrr_allsec_tbl, m(summ_`margin'_aerrr_allsec_tbl) over ifc(mean sd)
  matorder summ_`margin'_aerrr_balrnk1_tbl, m(summ_`margin'_aerrr_balrnk1_tbl) over ifc(mean)
  matorder summ_`margin'_aerrr_balrnk3_tbl, m(summ_`margin'_aerrr_balrnk3_tbl) over ifc(mean)
  matorder summ_`margin'_aerrr_balrnk5_tbl, m(summ_`margin'_aerrr_balrnk5_tbl) over ifc(mean)
  matorder summ_`margin'_aerrr_indexp_tbl, m(summ_`margin'_aerrr_indexp_tbl) over ifc(mean)
  mat summ_`margin'_aerrr_tbl = summ_`margin'_aerrr_allsec_tbl , summ_`margin'_aerrr_balrnk5_tbl , summ_`margin'_aerrr_indexp_tbl
  mat coleq summ_`margin'_aerrr_tbl = allsec allsec balrnk5 indexp
  mat drop summ_`margin'_aerrr_allsec_tbl summ_`margin'_aerrr_balrnk1_tbl summ_`margin'_aerrr_balrnk3_tbl summ_`margin'_aerrr_balrnk5_tbl summ_`margin'_aerrr_indexp_tbl
est2tex summ_`margin'_aerrr, ready replace p(brazrloc/tex/v4/natl10pct/reg) fancy digits(3) dropall
  matins summ_`margin'_aerrr_tbl, m(summ_`margin'_aerrr_tbl) over ifr(cnae_tarfoutp cnae_tarfintm firm_indexp firm_lnlp subs_balcadv_90 cnae_secrealx cnae_fdiflw cnae_herfsale plant_lnempl plant_indcoll plant_indhigh plant_indwhittot tenuryr tenuryr2 potexper indprof indtech indwhit indsklb cnae_tarfoutp_indexp cnae_tarfintm_indexp firm_lnlp firm_fdlnlp cnae_tarfoutp_fdlnlp cnae_tarfintm_fdlnlp firm_indexp_fdlnlp cnae_tarfoutp_indexp_fdlnlp cnae_tarfintm_indexp_fdlnlp cnae_tarfoutp_notindprim cnae_tarfintm_notindprim cnae_tarfoutp_indyoung cnae_tarfintm_indyoung cnae_tarfoutp_indwhite cnae_tarfintm_indwhite cnae_tarfoutp_indfemal cnae_tarfintm_indfemal cnae_indprown_pis occ_indoutsrc balarank indsmpl)
  matorder summ_`margin'_aerrr_tbl, m(summ_`margin'_aerrr_tbl) over ifc(balrnk5_mean indexp_mean)
  }
mat summ_aerrr_tbl = summ_dspl_aerrr_tbl , summ_hire_aerrr_tbl
mat drop summ_dspl_aerrr_tbl summ_hire_aerrr_tbl
mat coleq summ_aerrr_tbl = dspl dspl hire hire
est2tex summ_aerrr, ready replace p(brazrloc/tex/v4/natl10pct/reg) fancy digits(3) dropall extracols(2)

foreach margin in dspl hire {
  foreach var in plant_lnempl firm_lnlp {
    mat `var'_98_90 = J(1,4,.)
    mat colnames `var'_98_90 = mean_allsec sd_allsec mean_balarank5 mean_firm_indexp
    mat rownames `var'_98_90 = `var':1998_1990
    foreach col in mean_allsec mean_balarank5 mean_firm_indexp {
      mat `var'_98_90[1,colnumb(`var'_98_90,"`col'")] = summ_`margin'_aerrr_timevar_tbl[rownumb(summ_`margin'_aerrr_timevar_tbl,"`var':1998"),colnumb(summ_`margin'_aerrr_timevar_tbl,"`col'")] / summ_`margin'_aerrr_timevar_tbl[rownumb(summ_`margin'_aerrr_timevar_tbl,"`var':1990"),colnumb(summ_`margin'_aerrr_timevar_tbl,"`col'")]
      }
    }
  mat summ_`margin'_aerrr_timevar_tbl = summ_`margin'_aerrr_timevar_tbl[rownumb(summ_`margin'_aerrr_timevar_tbl,"plant_lnempl:1990")..rownumb(summ_`margin'_aerrr_timevar_tbl,"plant_lnempl:1998"),1...] \ plant_lnempl_98_90 \ summ_`margin'_aerrr_timevar_tbl[rownumb(summ_`margin'_aerrr_timevar_tbl,"firm_lnlp:1990")..rownumb(summ_`margin'_aerrr_timevar_tbl,"firm_lnlp:1998"),1...] \ firm_lnlp_98_90
  mat drop plant_lnempl_98_90 firm_lnlp_98_90
  est2tex summ_`margin'_aerrr_timevar, ready replace p(brazrloc/tex/v4/natl10pct/reg) fancy digits(3) dropall
  }



// SEPARATIONS/ACCESSIONS: RAIS NATIONAL 10-PERCENT SAMPLE TABLES FOR AER R&R REDONE

* rais_secyrfe0_ols rais_secyrfe0 raisiv_secyrfe0b
mat aerrr_subm_tbl = cnaedspl_aerrrsubm_tbl , cnaehire_aerrrsubm_tbl
matorder aerrr_subm_tbl, m(aerrr_subm_tbl) ifc(dspl:rais_secyrfe0_ols dspl:rais_secyrfe0 hire:rais_secyrfe0_ols hire:rais_secyrfe0) over
mat aerrr_subm_tbl = aerrr_subm_tbl , cnaedspl_ivonly_tbl , cnaehire_ivonly_tbl
matorder aerrr_subm_tbl, m(aerrr_subm_tbl) ifc(dspl:rais_secyrfe0_ols dspl:rais_secyrfe0 dspl:raisiv_secyrfe0b hire:rais_secyrfe0_ols hire:rais_secyrfe0 hire:raisiv_secyrfe0b) over
est2tex aerrr_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* rais_secyrfe0_clgt pia_secyrfe0_nolp pia_secyrtrdfe0
mat aerrr_robstsubm_tbl = cnaedspl_aerrrsubm_tbl , cnaehire_aerrrsubm_tbl
matorder aerrr_robstsubm_tbl, m(aerrr_robstsubm_tbl) ifc(dspl:rais_secyrfe0_clgt dspl:pia_secyrfe0_nolp dspl:pia_secyrtrdfe0 hire:rais_secyrfe0_clgt hire:pia_secyrfe0_nolp hire:pia_secyrtrdfe0) over
est2tex aerrr_robstsubm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_yrfe0 pia_secyrfe0_addreg pia_secyrfe0_clgt
mat aerrr_addlsubm_tbl = cnaedspl_aerrrsubm_tbl , cnaehire_aerrrsubm_tbl
matorder aerrr_addlsubm_tbl, m(aerrr_addlsubm_tbl) ifc(dspl:pia_yrfe0 dspl:pia_secyrfe0_addreg dspl:pia_secyrfe0_clgt hire:pia_yrfe0 hire:pia_secyrfe0_addreg hire:pia_secyrfe0_clgt) over
est2tex aerrr_addlsubm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_lnlp pia_dlnlp pia_intractb
mat aerrr_intract_subm_tbl = cnaedspl_fdlnlp_tbl , cnaehire_fdlnlp_tbl
matorder aerrr_intract_subm_tbl, m(aerrr_intract_subm_tbl) ifc(dspl:pia_lnlp dspl:pia_dlnlp dspl:pia_intractb hire:pia_lnlp hire:pia_dlnlp hire:pia_intractb) over
est2tex aerrr_intract_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_expia pia_lnlp_expia pia_lnlpia_expia
mat aerrr_secyrtrd_tbl = cnaedspl_secyrtrd_tbl , cnaehire_secyrtrd_tbl
matorder aerrr_secyrtrd_tbl, m(aerrr_secyrtrd_tbl) ifc(dspl:pia_expia dspl:pia_lnlp_expia dspl:pia_lnlpia_expia hire:pia_expia hire:pia_lnlp_expia hire:pia_lnlpia_expia) over
est2tex aerrr_secyrtrd, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_lnlp pia_intractb pia_intractab1
mat aerrr_xpia_tbl = cnaedspl_xpia_tbl , cnaehire_xpia_tbl
matorder aerrr_xpia_tbl, m(aerrr_xpia_tbl) ifc(dspl:pia_lnlp dspl:pia_intractb dspl:pia_intractab1 hire:pia_lnlp hire:pia_intractb hire:pia_intractab1) over
est2tex aerrr_xpia, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_intracta pia_intractb pia_intractab
mat aerrr_intractlp_subm_tbl = cnaedspl_lponly_tbl , cnaehire_lponly_tbl
matorder aerrr_intractlp_subm_tbl, m(aerrr_intractlp_subm_tbl) ifc(dspl:pia_intracta dspl:pia_intractb dspl:pia_intractab hire:pia_intracta hire:pia_intractb hire:pia_intractab) over
est2tex aerrr_intractlp_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_noexp pia_intract1 pia_nox_intracta
mat aerrr_lponly_subm_tbl = cnaedspl_lponly_tbl , cnaehire_lponly_tbl
matorder aerrr_lponly_subm_tbl, m(aerrr_lponly_subm_tbl) ifc(dspl:pia_noexp dspl:pia_intract1 dspl:pia_nox_intracta hire:pia_noexp hire:pia_intract1 hire:pia_nox_intracta) over
est2tex aerrr_lponly_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_secyrfe0_nolp pia_secyrtrdfe0 pia_lnlp_exp
foreach type in b se {
  foreach margin in dspl hire {
    matins cnae`margin'_aerrrsubm_`type', mat(_lpsh1_`margin'_`type') ifrow(cnae_tarfoutp cnae_tarfintm firm_indexp cnae_tarfoutp_indexp cnae_tarfintm_indexp firm_lnlp cnae_tarfoutp_lnlp cnae_tarfintm_lnlp firm_indexp_lnlp)
    matins cnae`margin'_secyrtrd_`type', mat(_lpsh2_`margin'_`type') ifrow(cnae_tarfoutp cnae_tarfintm firm_indexp cnae_tarfoutp_indexp cnae_tarfintm_indexp firm_lnlp cnae_tarfoutp_lnlp cnae_tarfintm_lnlp firm_indexp_lnlp)
    }
  mat aerrr_lpshort_subm_`type' = _lpsh1_dspl_`type' , _lpsh2_dspl_`type' , _lpsh1_hire_`type' , _lpsh2_hire_`type'
  mat drop _lpsh1_dspl_`type' _lpsh2_dspl_`type' _lpsh1_hire_`type' _lpsh2_hire_`type'
  }
foreach type in r e {
  mat aerrr_lpshort_subm_`type' = cnaedspl_aerrrsubm_`type' , cnaedspl_secyrtrd_`type' , cnaehire_aerrrsubm_`type' , cnaehire_secyrtrd_`type'
  }
est2one aerrr_lpshort_subm
matorder aerrr_lpshort_subm_tbl, m(aerrr_lpshort_subm_tbl) ifc(dspl:pia_secyrfe0_nolp dspl:pia_secyrtrdfe0 dspl:pia_lnlp_exp hire:pia_secyrfe0_nolp hire:pia_secyrtrdfe0 hire:pia_lnlp_exp) over
est2tex aerrr_lpshort_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* pia_intract4 pia_intract5 pia_intract6
mat aerrr_intrctwrkf_subm_tbl = cnaedspl_aerrrsubm_tbl , cnaehire_aerrrsubm_tbl
matorder aerrr_intrctwrkf_subm_tbl, m(aerrr_intrctwrkf_subm_tbl) ifc(dspl:pia_intract4 dspl:pia_intract5 dspl:pia_intract6 hire:pia_intract4 hire:pia_intract5 hire:pia_intract6) over
est2tex aerrr_intrctwrkf_subm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

* raisiv1st_cnae_tarfoutp raisiv1st_cnae_tarfintm raisiv1st_firm_indexp
mat aerrr_fststgsubm_tbl = cnaedspl_iv1st_tbl, cnaehire_iv1st_tbl
matorder aerrr_fststgsubm_tbl, m(aerrr_fststgsubm_tbl) ifc(dspl:raisiv1st_cnae_tarfoutp dspl:raisiv1st_cnae_tarfintm dspl:raisiv1st_firm_indexp hire:raisiv1st_cnae_tarfoutp hire:raisiv1st_cnae_tarfintm hire:raisiv1st_firm_indexp) over
est2tex aerrr_fststgsubm, ready fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) extracols(3) dropall


// TRANSITIONS: RAIS NATIONAL 10-PERCENT SAMPLE TABLES FOR AER R&R REDONE

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_allsecyrfe_`type') ifc(all_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1..`totrows',1] , ml_allsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_allsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_allsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_allsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_allsecyrfe_`type' = :
  mat colnames ml_allsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifc(samemanf othrmanf nonmanf failure)  // baseline: notdspl
  if "`type'"=="b" | "`type'"=="se"   matins ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_allsecyrfe, fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_allsecyrfeu_`type') ifc(all_secyrfe_uhat)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_allsecyrfeu_`type' = ml_allsecyrfeu_`type'[1..`totrows',1] , ml_allsecyrfeu_`type'[`totrows'+1..2*`totrows',1] , ml_allsecyrfeu_`type'[2*`totrows'+1..3*`totrows',1] , ml_allsecyrfeu_`type'[3*`totrows'+1..4*`totrows',1] , ml_allsecyrfeu_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_allsecyrfeu_`type' = ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_allsecyrfeu_`type' = :
  mat colnames ml_allsecyrfeu_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_allsecyrfeu_`type', m(ml_allsecyrfeu_`type') over ifc(samemanf othrmanf nonmanf failure)  // baseline: notdspl
  if "`type'"=="b" | "`type'"=="se"   matins ml_allsecyrfeu_`type', m(ml_allsecyrfeu_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_allsecyrfeu, fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_dsplsecyrfe_`type') ifc(dspl_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1..`totrows',1] , ml_dsplsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_dsplsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_dsplsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_dsplsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_dsplsecyrfe_`type' = :
  mat colnames ml_dsplsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifc(othrmanf nonmanf failure)  // baseline: samemanf
  if "`type'"=="b" | "`type'"=="se"  matins ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_dsplsecyrfe, fancy p(brazrloc/tex/v4/natl10pct/reg) replace level(90 95 99) mark(starse) dropall


// PME MULTINOMIAL LOGIT ESTIMATES

insheet using "brazrloc/pme/pme-aer-reg-07-01-11.csv", comma clear  // from papers/brazrloc/results/pme-AER-reg-29-03-10.xls
drop v4 v7 v10 v13  // drop t statistics
rename v1 _rownames
replace _rownames = subinstr(_rownames," ","_",.)
replace _rownames = "subs_tarfoutp" if _rownames=="subs_tarfo~p"
replace _rownames = "subs_tarfintm" if _rownames=="subs_tarfi~m"
replace _rownames = "subs_secrealx" if _rownames=="subs_secre~x"
replace _rownames = "subs_herfsale" if _rownames=="subs_herfs~e"
replace _rownames = "tf" if _rownames=="tempo_formal"
mat mlogitrr_tf_clst_e = J(3,4,.)
mat colnames mlogitrr_tf_clst_e = f_i f_cp f_d f_forapea
mat rownames mlogitrr_tf_clst_e = e(N) e(r2_p) e(ll)
local nobs = real(trim(subinstr(substr(_rowname[1],-8,8),"_"," ",.)))
local r2p = real(trim(subinstr(substr(_rowname[2],-8,8),"_"," ",.)))
local ll = real(trim(subinstr(substr(subinstr(_rowname[2],"Log_pseudolikelihood_=_","",.),1,16),"_","",.)))
forvalues col = 1/4 {
  mat mlogitrr_tf_clst_e[1,`col'] = `nobs'
  mat mlogitrr_tf_clst_e[2,`col'] = `r2p'
  mat mlogitrr_tf_clst_e[3,`col'] = `ll'
  }
drop if _rowname == "" & v2~="Coef."
drop if v5==""
foreach var of varlist v* {
  local sufx = subinstr(subinstr(lower(`var'[1]),".","",.)," ","",.)
  rename `var' `var'_`sufx'
  }
drop in 1
foreach var of varlist v* {
  rename `var' _`var'
  gen `var' = real(_`var')
  drop _`var'
  }
preserve
  keep _rownames v2 v5 v8 v11
  rename v2 f_i
  rename v5 f_cp
  rename v8 f_d
  rename v11 f_forapea
  save "brazrloc/tex/v4/pme/mlogitrr_tf_clst_b.dta", replace
restore, preserve
  keep _rownames v3 v6 v9 v12
  rename v3 f_i
  rename v6 f_cp
  rename v9 f_d
  rename v12 f_forapea
  save "brazrloc/tex/v4/pme/mlogitrr_tf_clst_se.dta", replace
restore
foreach type in b se {
  drop _all
  matload mlogitrr_tf_clst_`type', p(brazrloc/tex/v4/pme) over missing(.)
  matorder mlogitrr_tf_clst_`type', m(mlogitrr_tf_clst_`type') over ifr(subs_tarfoutp subs_tarfintm tf subs_secrealx subs_fdiflw subs_herfsale idade idade2 ded2 ded3 ded4)
  }
est2tex mlogitrr_tf_clst, fancy p(brazrloc/tex/v4/pme) replace level(90 95 99) mark(starse) dropall

log close
