version 8.2
clear
set more off
set mem 800m
set matsize 800

capture mkdir "brazrloc/tex/v4/reg"
capture mkdir "brazrloc/tex/v4/natl/reg"

capture log close
log using "brazrloc/logs/reg-aer-tab.log", replace


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(summpme) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_dspl_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_compno13) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_exo) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_comp_logit) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_robst) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_xtiv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_trad) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract90_trad) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract90a_trad) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_trad_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_wrkf) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_rhir) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_m2rhr) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(ml_allsecyrfe) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(ml_allsecyrfeu) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(ml_dsplsecyrfe) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_fststg) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(mlogit_tf_aerrr) retain p(brazrloc/tex/v4/pme) replace
est2extlbl, addto(mlogit_tf_secfe_aerrr) retain p(brazrloc/tex/v4/pme) replace
clear


* LOAD MATRICES *

foreach mat in allsec balrnk1 balrnk3 balrnk5 {
  matload summ_`mat'_tbl, p(brazrloc/estmat/v4/pme) over missing(.)
  mat rename summ_`mat'_tbl summpme_`mat'_tbl
  }
foreach margin in dspl hire {
  foreach mat in allsec balrnk1 balrnk3 balrnk5 indexp timevar {
    matload summ_`margin'_`mat'_tbl, p(brazrloc/estmat/v4/reg/natl) over missing(.)
    }
  foreach type in b se e {
    drop _all
    matload subs_`margin'_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_`type' natlsubs_`margin'_`type'
    }
  foreach type in b se e r {
    drop _all
    matload subs`margin'_aer_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_intract_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosecfe_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosec13_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_iv1st_`type' natlsubs_`margin'_iv1st_`type'
    }
  }
foreach type in b se e r {
  matload subsrhir_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  matload subsm2rhr_ryr_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  }
foreach type in b se e {
  matload ml_xttrans_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  }


// PME NATIONAL SUMMARY STATISTICS

matorder summpme_allsec_tbl, m(summpme_allsec_tbl) over ifc(mean sd)
matorder summpme_balrnk1_tbl, m(summpme_balrnk1_tbl) over ifc(mean)
matorder summpme_balrnk3_tbl, m(summpme_balrnk3_tbl) over ifc(mean)
matorder summpme_balrnk5_tbl, m(summpme_balrnk5_tbl) over ifc(mean)
mat summ_indexp_tbl = J(rowsof(summpme_allsec_tbl),1,.)
mat colnames summ_indexp_tbl = mean
mat summpme_tbl = summpme_allsec_tbl , summpme_balrnk5_tbl , summ_indexp_tbl
mat coleq summpme_tbl = allsec allsec balrnk5 indexp
mat drop summpme_allsec_tbl summpme_balrnk1_tbl summpme_balrnk3_tbl summpme_balrnk5_tbl summ_indexp_tbl
est2tex summpme, ready replace p(brazrloc/tex/v4/pme) fancy digits(3) dropall


// RAIS NATIONAL SUMMARY STATISTICS

foreach margin in dspl hire {
  matorder summ_`margin'_allsec_tbl, m(summ_`margin'_allsec_tbl) over ifc(mean sd)
  matorder summ_`margin'_balrnk1_tbl, m(summ_`margin'_balrnk1_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk3_tbl, m(summ_`margin'_balrnk3_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk5_tbl, m(summ_`margin'_balrnk5_tbl) over ifc(mean)
  matorder summ_`margin'_indexp_tbl, m(summ_`margin'_indexp_tbl) over ifc(mean)
  mat summ_`margin'_tbl = summ_`margin'_allsec_tbl , summ_`margin'_balrnk5_tbl , summ_`margin'_indexp_tbl
  mat coleq summ_`margin'_tbl = allsec allsec balrnk5 indexp
  mat drop summ_`margin'_allsec_tbl summ_`margin'_balrnk1_tbl summ_`margin'_balrnk3_tbl summ_`margin'_balrnk5_tbl summ_`margin'_indexp_tbl
est2tex summ_`margin', ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifr(subs_balcadv subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_fdiflw subs_reffpen subs_tarfoutp subs_tarfintm subs_herfsale subs_indprown_pis occ_indoutsrc plant_lnempl plant_indhigh plant_indcoll plant_indwhittot firm_indexp firm_indexp_tarf firm_lnlp indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb balarank indsmpl)
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifc(balrnk5_mean indexp_mean)
  }
mat summ_tbl = summ_dspl_tbl , summ_hire_tbl
mat drop summ_dspl_tbl summ_hire_tbl
mat coleq summ_tbl = dspl dspl hire hire
est2tex summ, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall extracols(2)

foreach margin in dspl hire {
  foreach var in plant_lnempl firm_lnlp {
    mat `var'_98_90 = J(1,4,.)
    mat colnames `var'_98_90 = mean_allsec sd_allsec mean_balarank5 mean_firm_indexp
    mat rownames `var'_98_90 = `var':1998_1990
    foreach col in mean_allsec mean_balarank5 mean_firm_indexp {
      mat `var'_98_90[1,colnumb(`var'_98_90,"`col'")] = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1998"),colnumb(summ_`margin'_timevar_tbl,"`col'")] / summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1990"),colnumb(summ_`margin'_timevar_tbl,"`col'")]
      }
    }
  mat summ_`margin'_timevar_tbl = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1990")..rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1998"),1...] \ plant_lnempl_98_90 \ summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1990")..rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1998"),1...] \ firm_lnlp_98_90
  mat drop plant_lnempl_98_90 firm_lnlp_98_90
  est2tex summ_`margin'_timevar, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  }


// RAIS NATIONAL TABLES FOR AER R&R

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_dspl_tbl

foreach type in b se e r {
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_hire_tbl

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_yrfe clogit_yrfe_exo90 clogit_yrfe_exalt clogit_secyrfe0 clogit_secyrtrdfe0 xt_secyrtrdfe0 xt_secyrfe_smpl0 xt_secyrfe0 xtiv_secyrfe0 xtiv_yrfe xtiv_secfe0 xtiv_secyrtrdfe0 xtreg_lnlp0 logit_secyrfe_smpl0 logit_secyrfe0) over
  mat coleq aerrr_main_dspl_`type' = dspl
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_yrfe clogit_yrfe_exo90 clogit_yrfe_exalt clogit_secyrfe0 clogit_secyrtrdfe0 xt_secyrtrdfe0 xt_secyrfe_smpl0 xt_secyrfe0 xtiv_secyrfe0 xtiv_yrfe xtiv_secfe0 xtiv_secyrtrdfe0 xtreg_lnlp0 logit_secyrfe_smpl0 logit_secyrfe0) over
  mat coleq aerrr_main_hire_`type' = hire
  }
est2one aerrr_main_dspl
est2one aerrr_main_hire
mat aerrr_main_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_main_tbl, m(aerrr_main_tbl) ifc(dspl:clogit_yrfe_exo90 dspl:clogit_secyrfe0 dspl:xt_secyrfe0 hire:clogit_yrfe_exo90 hire:clogit_secyrfe0 hire:xt_secyrfe0) over
est2tex aerrr_main, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_exo_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_exo_tbl, m(aerrr_exo_tbl) ifc(dspl:clogit_yrfe_exo90 dspl:clogit_yrfe dspl:clogit_yrfe_exalt hire:clogit_yrfe_exo90 hire:clogit_yrfe hire:clogit_yrfe_exalt) over
est2tex aerrr_exo, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_comp_logit_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_comp_logit_tbl, m(aerrr_main_tbl) ifc(dspl:clogit_secyrfe0 dspl:logit_secyrfe_smpl0 hire:clogit_secyrfe0 dspl:logit_secyrfe0 hire:logit_secyrfe_smpl0 hire:logit_secyrfe0) over
est2tex aerrr_comp_logit, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_robst_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_robst_tbl, m(aerrr_robst_tbl) ifc(dspl:xtreg_lnlp0 dspl:xt_secyrtrdfe0 dspl:xtiv_secyrfe0 hire:xtreg_lnlp0 hire:xt_secyrtrdfe0 hire:xtiv_secyrfe0) over
est2tex aerrr_robst, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_xtiv_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_xtiv_tbl, m(aerrr_xtiv_tbl) ifc(dspl:xtiv_yrfe dspl:xtiv_secfe0 dspl:xtiv_secyrfe0 hire:xtiv_yrfe hire:xtiv_secfe0 hire:xtiv_secyrfe0) over
est2tex aerrr_xtiv, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_intract_trad_dspl_`type') ifc(clogit_intract20 clogit_intract30)
  mat coleq aerrr_intract_trad_dspl_`type' = dspl dspl
  matorder subshire_aerrr_`type', m(aerrr_intract_trad_hire_`type') ifc(clogit_intract20 clogit_intract30)
  mat coleq aerrr_intract_trad_hire_`type' = hire hire
  mat aerrr_intract_trad_`type' = aerrr_intract_trad_dspl_`type', aerrr_intract_trad_hire_`type'
  mat drop aerrr_intract_trad_dspl_`type' aerrr_intract_trad_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_`type', m(aerrr_intract_trad_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_reffpen) over
  }
est2tex aerrr_intract_trad, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract90_trad_dspl_`type') ifc(clogit_intract20_90 clogit_intract30_90)
  mat coleq aerrr_intract90_trad_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract90_trad_hire_`type') ifc(clogit_intract20_90 clogit_intract30_90)
  mat coleq aerrr_intract90_trad_hire_`type' = hire hire
  mat aerrr_intract90_trad_`type' = aerrr_intract90_trad_dspl_`type', aerrr_intract90_trad_hire_`type'
  mat drop aerrr_intract90_trad_dspl_`type' aerrr_intract90_trad_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract90_trad_`type', m(aerrr_intract90_trad_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_reffpen) over
  }
est2tex aerrr_intract90_trad, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract90a_trad_dspl_`type') ifc(clogit_intract20_90a clogit_intract30_90a)
  mat coleq aerrr_intract90a_trad_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract90a_trad_hire_`type') ifc(clogit_intract20_90a clogit_intract30_90a)
  mat coleq aerrr_intract90a_trad_hire_`type' = hire hire
  mat aerrr_intract90a_trad_`type' = aerrr_intract90a_trad_dspl_`type', aerrr_intract90a_trad_hire_`type'
  mat drop aerrr_intract90a_trad_dspl_`type' aerrr_intract90a_trad_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract90a_trad_`type', m(aerrr_intract90a_trad_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_reffpen) over
  }
est2tex aerrr_intract90a_trad, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract_trad_bal_dspl_`type') ifc(clogit_intract30_90 clogit_intract3_updn)
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_bal_dspl_`type', m(aerrr_intract_trad_bal_dspl_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_balcadv_up subs_balcadv_dn subs_reffpen) over
  mat coleq aerrr_intract_trad_bal_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract_trad_bal_hire_`type') ifc(clogit_intract30_90 clogit_intract3_updn)
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_bal_hire_`type', m(aerrr_intract_trad_bal_hire_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_balcadv_up subs_balcadv_dn subs_reffpen) over
  mat coleq aerrr_intract_trad_bal_hire_`type' = hire hire
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract_trad_volr_dspl_`type') ifc(clogit_intract30_90a)
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_volr_dspl_`type', m(aerrr_intract_trad_volr_dspl_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_volrcadv_90 subs_tarfintm_volrcadv_90 subs_tarfoutp_indexp_volrcadv_90 subs_tarfintm_indexp_volrcadv_90 subs_tarfoutp subs_tarfintm firm_indexp subs_volrcadv_90 subs_balcadv_up subs_balcadv_dn subs_reffpen) over
  mat coleq aerrr_intract_trad_volr_dspl_`type' = dspl
  if "`type'"=="b" | "`type'"=="se"  mat rownames aerrr_intract_trad_volr_dspl_`type' = subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_balcadv_up subs_balcadv_dn subs_reffpen
  matorder subshire_aerrr_intract_`type', m(aerrr_intract_trad_volr_hire_`type') ifc(clogit_intract30_90a)
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_volr_hire_`type', m(aerrr_intract_trad_volr_hire_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_volrcadv_90 subs_tarfintm_volrcadv_90 subs_tarfoutp_indexp_volrcadv_90 subs_tarfintm_indexp_volrcadv_90 subs_tarfoutp subs_tarfintm firm_indexp subs_volrcadv_90 subs_balcadv_up subs_balcadv_dn subs_reffpen) over
  mat coleq aerrr_intract_trad_volr_hire_`type' = hire
  if "`type'"=="b" | "`type'"=="se"  mat rownames aerrr_intract_trad_volr_hire_`type' = subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_balcadv_up subs_balcadv_dn subs_reffpen
  mat aerrr_intract_trad_comp_`type' = aerrr_intract_trad_bal_dspl_`type' , aerrr_intract_trad_volr_dspl_`type' , aerrr_intract_trad_bal_hire_`type' , aerrr_intract_trad_volr_hire_`type'
  mat drop aerrr_intract_trad_bal_dspl_`type' aerrr_intract_trad_volr_dspl_`type' aerrr_intract_trad_bal_hire_`type' aerrr_intract_trad_volr_hire_`type'
  }
est2tex aerrr_intract_trad_comp, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract_wrkf_dspl_`type') ifc(clogit_intract40 clogit_intract70)
  mat coleq aerrr_intract_wrkf_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract_wrkf_hire_`type') ifc(clogit_intract40 clogit_intract70)
  mat coleq aerrr_intract_wrkf_hire_`type' = hire hire
  mat aerrr_intract_wrkf_`type' = aerrr_intract_wrkf_dspl_`type', aerrr_intract_wrkf_hire_`type'
  mat drop aerrr_intract_wrkf_dspl_`type' aerrr_intract_wrkf_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_wrkf_`type', m(aerrr_intract_wrkf_`type') ifr(subs_tarfoutp_notindprim subs_tarfintm_notindprim subs_tarfoutp_indyoung subs_tarfintm_indyoung subs_tarfoutp_indwhite subs_tarfintm_indwhite subs_tarfoutp subs_tarfintm subs_reffpen) over
  }
est2tex aerrr_intract_wrkf, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsrhir_aerrr_`type', m(aerrr_rhir_`type') ifc(clogit_secyrfe_tsec1 clogit_secyrfe_tsec2 clogit_secyrfe_tsec3 clogit_secyrfe_tsec4 clogit_secyrfe_tsec5 clogit_secyrfe_tsec7)
  }
est2tex aerrr_rhir, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsm2rhr_ryr_aerrr_`type', m(aerrr_m2rhr_`type') ifc(xt_yrfe xt_secyrfe0 xt_secyrtrdfe0 xtiv_secyrfe0)
  }
est2tex aerrr_m2rhr, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_allsecyrfe_`type') ifc(all_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1..`totrows',1] , ml_allsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_allsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_allsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_allsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_allsecyrfe_`type' = :
  mat colnames ml_allsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifc(samemanf othrmanf nonmanf failure)  // baseline: notdspl
  if "`type'"=="b" | "`type'"=="se"   matins ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_allsecyrfe, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_allsecyrfeu_`type') ifc(all_secyrfe_uhat)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_allsecyrfeu_`type' = ml_allsecyrfeu_`type'[1..`totrows',1] , ml_allsecyrfeu_`type'[`totrows'+1..2*`totrows',1] , ml_allsecyrfeu_`type'[2*`totrows'+1..3*`totrows',1] , ml_allsecyrfeu_`type'[3*`totrows'+1..4*`totrows',1] , ml_allsecyrfeu_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_allsecyrfeu_`type' = ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1] , ml_allsecyrfeu_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_allsecyrfeu_`type' = :
  mat colnames ml_allsecyrfeu_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_allsecyrfeu_`type', m(ml_allsecyrfeu_`type') over ifc(samemanf othrmanf nonmanf failure)  // baseline: notdspl
  if "`type'"=="b" | "`type'"=="se"   matins ml_allsecyrfeu_`type', m(ml_allsecyrfeu_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_allsecyrfeu, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_dsplsecyrfe_`type') ifc(dspl_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1..`totrows',1] , ml_dsplsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_dsplsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_dsplsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_dsplsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_dsplsecyrfe_`type' = :
  mat colnames ml_dsplsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifc(othrmanf nonmanf failure)  // baseline: samemanf
  if "`type'"=="b" | "`type'"=="se"  matins ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_dsplsecyrfe, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_fststg_dspl_`type') ifc(first_tarfoutp0 first_tarfintm0 first_indexp0)
  matorder subshire_aerrr_`type', m(aerrr_fststg_hire_`type') ifc(first_tarfoutp0 first_tarfintm0 first_indexp0)
  if "`type'"~="e" & "`type'"~="r"  matorder aerrr_fststg_dspl_`type', m(aerrr_fststg_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indhigh plant_indcoll plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aerrr_fststg_dspl_`type' = aerrr_fststg_dspl_`type'[1..3,.] \ aerrr_fststg_dspl_`type'[4..10,.]*1000000000000 \ aerrr_fststg_dspl_`type'[11...,.]
  if "`type'"~="e" & "`type'"~="r"  matorder aerrr_fststg_hire_`type', m(aerrr_fststg_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indhigh plant_indcoll plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aerrr_fststg_hire_`type' = aerrr_fststg_hire_`type'[1..3,.] \ aerrr_fststg_hire_`type'[4..10,.]*1000000000000 \ aerrr_fststg_hire_`type'[11...,.]
  mat aerrr_fststg_`type' = aerrr_fststg_dspl_`type' , aerrr_fststg_hire_`type'
  mat drop aerrr_fststg_dspl_`type' aerrr_fststg_hire_`type'
  mat coleq aerrr_fststg_`type' = dspl dspl dspl hire hire hire
  }
est2tex aerrr_fststg, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)


// PME MULTINOMIAL LOGIT ESTIMATES

foreach spec in tf_aerrr tf_secfe_aerrr {
  insheet using "brazrloc/pme/pme-results-aerrr.csv", comma clear  // from /papers/brazrloc/resultsPME-results-35.xls
  if "`spec'"=="tf_aerrr"        keep in 6/27   // regression without sector FE
  if "`spec'"=="tf_secfe_aerrr"  keep in 33/65  // regression with sector FE
  drop v4 v7 v10 v13  // drop z statistics
  rename v1 _rownames
  replace _rownames = "subs_tarfoutp" if _rownames=="subs_tarfo~p"
  replace _rownames = "subs_tarfintm" if _rownames=="subs_tarfi~m"
  replace _rownames = "subs_secrealx" if _rownames=="subs_secre~x"
  replace _rownames = "subs_herfsale" if _rownames=="subs_herfs~e"
  foreach var of varlist v* {
    rename `var' _`var'
    gen `var' = real(_`var')
    drop _`var'
    }
  preserve
    keep _rownames v2 v5 v8 v11
    rename v2 f_i
    rename v5 f_cp
    rename v8 f_d
    rename v11 f_forapea
    save "brazrloc/tex/v4/pme/mlogit_`spec'_b.dta", replace
  restore, preserve
    keep _rownames v3 v6 v9 v12
    rename v3 f_i
    rename v6 f_cp
    rename v9 f_d
    rename v12 f_forapea
    save "brazrloc/tex/v4/pme/mlogit_`spec'_se.dta", replace
  restore
  foreach type in b se {
    drop _all
    matload mlogit_`spec'_`type', p(brazrloc/tex/v4/pme) over missing(.)
    matorder mlogit_`spec'_`type', m(mlogit_`spec'_`type') over ifr(subs_tarfoutp subs_tarfintm tf subs_secrealx subs_fdiflw subs_herfsale idade idade2 ded2 ded3 ded4)
    }
  mat mlogit_`spec'_e = J(2,4,.)
  mat colnames mlogit_`spec'_e = f_i f_cp f_d f_forapea
  mat rownames mlogit_`spec'_e = e(N) e(r2_p)
  est2tex mlogit_`spec', fancy p(brazrloc/tex/v4/pme) replace level(90 95 99) mark(starse) dropall
  }


log close
